﻿@model eCommerce.UI.ViewModels.HomeViewModel
@using eCommerce.Services.Model.Enums
@using eCommerce.UI.Utils

<style>
    .slick-slide img {
        width: 100%;
    }
</style>
<div class="home">
    <div class="home-banners js-main-slider -desktop">
        @foreach (var item in Model.BannersSlider)
        {
            <a href="@item.Link">
                <img src="@string.Format("{0}{1}", Utility.BackOfficeUrl, item.ImageUrl)" />
            </a>
        }
    </div>

    <div class="home-banners js-main-slider -mobile">
        @foreach (var item in Model.BannersSlider)
        {
            <a href="@item.Link">
                <img src="@string.Format("{0}{1}", Utility.BackOfficeUrl, item.ImageMobileUrl)" />
            </a>
        }
    </div>
    <div class="arrivals__title">

        <a href="/Institucional/SolicitarCotizacion"><p>Solicitá ya tu cotización!</p></a>
        <p class="line"></p>
    </div>
    <div class="steps hidden-xs">
        <div class="step" style="padding-left: 10px;">
            <img src="~/Content/Images/comoComprar/comocomprar-1.png" height="120" alt="Registrate" />
            <div style="padding-left:10px">
                @*<h3> REGISTRO</h3>*@
                <p><b>1.</b> Elegí el color y tamaño de los productos que más te gusten.</p>
            </div>
        </div>
        <div class="arrow">
            <img src="~/Content/images/comocomprar-flecha.png" class="-desktop arrow-step" alt="Alternate Text" />
            <img src="~/Content/images/comocomprar-flecha.png" class="-mobile arrow-step" alt="Alternate Text" />
        </div>
        <div class="step">
            <img src="~/Content/Images/comoComprar/comocomprar-2.png" height="120" alt="Completá" />
            <div>
                @*<h3>. CARRITO</h3>*@
                <p><b>2.</b> Agrega la cantidad que desees a tu carrito.</p>
            </div>
        </div>
        <div class="arrow">
            <img src="~/Content/images/comocomprar-flecha.png" class="-desktop arrow-step" alt="Alternate Text" />
            <img src="~/Content/images/comocomprar-flecha.png" class="-mobile arrow-step" alt="Alternate Text" />
        </div>
        <div class="step">
            <img src="~/Content/Images/comoComprar/comocomprar-3.png" height="120" alt="Navegá" />
            <div>
                @*<h3>3. CHECK</h3>*@
                <p><b>3.</b> Completa tus datos de contacto.</p>
            </div>
        </div>
        <div class="arrow">
            <img src="~/Content/images/comocomprar-flecha.png" class="-desktop arrow-step" alt="Alternate Text" />
            <img src="~/Content/images/comocomprar-flecha.png" class="-mobile arrow-step" alt="Alternate Text" />
        </div>
        <div class="step">
            <img src="~/Content/images/comoComprar/comocomprar-4.png" height="120" alt="Alternate Text" />
            <div>
                @*<h3>4. PAGO Y ENVÍO</h3>*@
                <p><b>4.</b> Un vendedor se pondrá en contacto con vos, donde recibirás un mail con la cotización de tu pedido.</p>
            </div>
        </div>
    </div>

    <div class="visible-xs">
        <div class="steps">
            <div class="step" style="padding-left: 10px;">
                <img src="~/Content/Images/comoComprar/comocomprar-1.png" height="120" alt="Registrate" />
                <div style="padding-left:10px">
                    @*<h3> REGISTRO</h3>*@
                    <p><b>1.</b> Elegí el color y tamaño de los productos que más te gusten.</p>
                </div>
            </div>
            <div class="arrow">
                <img src="~/Content/images/comocomprar-flecha.png" class="-desktop arrow-step" alt="Alternate Text" />
                <img src="~/Content/images/comocomprar-flecha.png" class="-mobile arrow-step" alt="Alternate Text" />
            </div>
            <div class="step">
                <img src="~/Content/Images/comoComprar/comocomprar-2.png" height="120" alt="Completá" />
                <div>
                    @*<h3>. CARRITO</h3>*@
                    <p><b>2.</b> Agrega la cantidad que desees a tu carrito.</p>
                </div>
            </div>
        </div>
        <div class="steps">
            <div class="step">
                <img src="~/Content/Images/comoComprar/comocomprar-3.png" height="120" alt="Navegá" />
                <div>
                    @*<h3>3. CHECK</h3>*@
                    <p><b>3.</b> Completa tus datos de contacto.</p>
                </div>
            </div>
            <div class="arrow">
                <img src="~/Content/images/comocomprar-flecha.png" class="-desktop arrow-step" alt="Alternate Text" />
                <img src="~/Content/images/comocomprar-flecha.png" class="-mobile arrow-step" alt="Alternate Text" />
            </div>
            <div class="step">
                <img src="~/Content/images/comoComprar/comocomprar-4.png" height="120" alt="Alternate Text" />
                <div>
                    @*<h3>4. PAGO Y ENVÍO</h3>*@
                    <p><b>4.</b> Un vendedor se pondrá en contacto con vos, donde recibirás un mail con la cotización de tu pedido.</p>
                </div>
            </div>
        </div>
    </div>

    <div class="categories-filter hidden-xs">
        <div class="categories__first">
            <div>
                <a href="/shop/dormitorio">
                    <img src="~/Content/images/categorias/Cat1-dormitorio-desktop.jpg" alt="Alternate Text" />
                </a>
            </div>
            <div>
                <a href="/shop/bao">
                    <img src="~/Content/images/categorias/Cat2-baño-desktop.jpg" alt="Alternate Text" />
                </a>
            </div>
            <div>
                <a href="/shop/decoracin">
                    <img src="~/Content/images/categorias/Cat3-decoración-desktop.jpg" alt="Alternate Text" />
                </a>
            </div>
        </div>
        <div class="categories__last">
            <div>
                <a href="/shop/infantil">
                    <img src="~/Content/images/categorias/Cat4-infantil-desktop.jpg" alt="Alternate Text" />
                </a>
            </div>
            <div>
                <a href="/contacto">
                    <img src="~/Content/images/categorias/Cat5-contacto-desktop.jpg" alt="Alternate Text" />
                </a>
            </div>
        </div>
    </div>

    <div class="categories-filter-mobile visible-xs">
        <div class="category-box">
            <a href="/shop/dormitorio">
                <img src="~/Content/images/categorias/Cat1-dormitorio-mobile.jpg" alt="Alternate Text" />
            </a>
        </div>
        <div class="category-box">
            <a href="/shop/bao">
                <img src="~/Content/images/categorias/Cat2-baño-mobile.jpg" alt="Alternate Text" />
            </a>
        </div>
        <div class="category-box">
            <a href="/shop/decoracin">
                <img src="~/Content/images/categorias/Cat3-decoración-mobile.jpg" alt="Alternate Text" />
            </a>
        </div>
        <div class="category-box">
            <a href="/shop/infantil">
                <img src="~/Content/images/categorias/Cat4-infantil-mobile.jpg" alt="Alternate Text" />
            </a>
        </div>
        <div class="category-box">
            <a href="/contacto">
                <img src="~/Content/images/categorias/Cat5-contacto-mobile.jpg" alt="Alternate Text" />
            </a>
        </div>
    </div>

    <!--<div class="home__products">
        <div class="arrivals__title">
            <span class="line"></span>
            <p>New Arrivals</p>
            <span class="line"></span>
        </div>-->
    @*<div class="home__products__subtitle">&nbsp;conseguí las últimas prendas de la temporada</div>*@
    @*<div class="home__products__slider">
            @{ Html.RenderAction("RenderHomeProducts", "Home"); }
        </div>*@
    <!--</div>-->







</div>

@section Scripts {
    <script src="/content/assets/js/jquery.instagramFeed.min.js"></script>
    <script>

        $('.js-main-slider').slick({
            arrows: true,
            autoplay: true,
            autoplaySpeed: 5000,
            dots: true
        });

        $('.lookbook-items').owlCarousel({
            navigation: true,
            navigationText: ["<i class='fa fa-chevron-left'></i>", "<i class='fa fa-chevron-right'></i>"],
            pagination: false,
            autoPlay: true,
            items: 3
        });

        //$(window).on('load', function () {
        //    $.instagramFeed({
        //        'username': 'gacsyar',
        //        'container': "#newinstafeed",
        //        'display_profile': false,
        //        'display_biography': false,
        //        'display_gallery': true,
        //        'callback': null,
        //        'styling': true,
        //        'items': 3,
        //        'items_per_row': 3,
        //        'margin': 1,
        //        'lazy_load': true
        //    });
        //});

        $(document).ready(function () {
            $('#site > .content').addClass('content--home');

            $(".partialContents.arrivals__product-slider").each(function (index, item) {
                var url = $(item).data("url");

                if (url && url.length > 0) {
                    $(item).load(url);
                }
            })
        });


        $("#shadow-card").css("display", "none");

    </script>

    <style>
        .slick-prev:before, .slick-next:before {
            color: #000 !important;
            height: 5rem;
        }

        .slick-prev {
            left: 15px;
            z-index: 1;
        }

        .slick-next {
            right: 15px;
            z-index: 1;
        }
    </style>

}
